echo off

rem Check whether user included command line parameters
if %1.==. goto :ListSet
if %2.==. goto :ListSet

rem Parameters were specified, so check the file is present
if exist %1 goto :FileOK

rem File was not found; report this to user
echo File %1 was not found in the current directory.
goto :end

:ListSet
type DISKSET.TXT
goto :end

:FileOK
rem File was found, check which drive to write image to
if %2==A goto :writeA
if %2==a goto :writeA
if %2==B goto :writeB
if %2==b goto :writeB

rem if here, neither A nor B were specified - report that
echo Image files can be written only to drive A or drive B.
goto :end

:writeA
dskimage %1 0:40:1:9
goto :end

:writeB
dskimage %1 1:40:1:9
goto :end

:end
